// Test.h : Declaration of the CTest

#ifndef __TEST_H_
#define __TEST_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CTest
class ATL_NO_VTABLE CTest : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CTest, &CLSID_Test>,
	public ITest
{
		double W;
public:
	CTest()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_TEST)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CTest)
	COM_INTERFACE_ENTRY(ITest)
END_COM_MAP()

// ITest
public:
	STDMETHOD(get_Wlasciwosc)(/*[out, retval]*/ double *pVal);
	STDMETHOD(put_Wlasciwosc)(/*[in]*/ double newVal);
	STDMETHOD(PodajLiczbe)(/*[out,retval]*/ float* wynik);
};

#endif //__TEST_H_
